# open this flag when support more pkg
%bcond_with tests
%global srcname apipkg

Summary:        A Python namespace control and lazy-import mechanism
Name:           python-%{srcname}
Version:        3.0.2
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/apipkg
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
With apipkg you can control the exported namespace of a Python package and greatly reduce the number
of imports for your users. It is a small pure Python module that works on CPython 2.7 and 3.4+,
Jython and PyPy. It cooperates well with Python's help() system, custom importers (PEP302) and
common command-line completion tools.

%package -n python3-%{srcname}
Summary:        A Python namespace control and lazy-import mechanism

%description -n python3-%{srcname}
With apipkg you can control the exported namespace of a Python package and greatly reduce the number
of imports for your users. It is a small pure Python module that works on CPython 2.7 and 3.4+,
Jython and PyPy. It cooperates well with Python's help() system, custom importers (PEP302) and
common command-line completion tools.

%prep
%autosetup -n %{srcname}-%{version}
sed -i '/distribution_version("py")/d' test_apipkg.py
%generate_buildrequires

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files apipkg


%check
%if %{with tests}
%tox
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG README.rst

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-3
- Rebuilt for loongarch release

* Thu Jul 11 2024 Huang Yang <huangyang@loongson.cn> - 3.0.2-2
- [Type] other
- [DESC] fix LICENSE not find

* Fri Sep 22 2023 Miaojun Dong <zoedong@tencent.com> - 3.0.2-1
- Bump version to 3.0.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 3.0.1-1
- initial build
